--2013-11-01 V6.0.0 最新表字段增加

--artDesignTemplate表增加zdyName(栏目标题)
SET QUOTED_IDENTIFIER ON 
SET NOCOUNT ON
IF NOT EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'artDesignTemplate')) AND (name = 'zdyName'))
alter table artDesignTemplate add zdyName varchar(200) null 
GO
SET NOCOUNT OFF
SET QUOTED_IDENTIFIER OFF


--menu表增加专用新闻页模板id
SET QUOTED_IDENTIFIER ON 
SET NOCOUNT ON
IF NOT EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'menu')) AND (name = 'newsTemplateId'))
alter table menu add newsTemplateId int null default 136
GO
update menu set newsTemplateId=136 where modeId='4' and newsTemplateId is null
GO
SET NOCOUNT OFF
SET QUOTED_IDENTIFIER OFF

----栏目选择用
SET QUOTED_IDENTIFIER ON 
SET NOCOUNT ON
IF NOT EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'BigClassAssociation')) AND (name = 'thisBigClassId'))
alter table BigClassAssociation add thisBigClassId int null 
GO
SET NOCOUNT OFF
SET QUOTED_IDENTIFIER OFF


--菜单模板存放菜单html
SET QUOTED_IDENTIFIER ON 
SET NOCOUNT ON
IF not EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'menuset')) AND (name = 'menulist'))
alter table menuset add menulist text null 
GO
SET NOCOUNT OFF
SET QUOTED_IDENTIFIER OFF
GO

--网站属性增加是否允许修改发文日期
SET QUOTED_IDENTIFIER ON 
SET NOCOUNT ON
IF NOT EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'siteOtherProperty')) AND (name = 'isAllowNewsUpdtime'))
alter table siteOtherProperty add isAllowNewsUpdtime int null default 0
GO
SET NOCOUNT OFF
SET QUOTED_IDENTIFIER OFF


--网站模板中栏目区域数量扩增
alter table layoutTemplate alter column itemName varchar(7000)

